Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendPassportAuthorizationForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SendPassportAuthorizationForm

Enclosing class:
  TdApi

public static final class TdApi.SendPassportAuthorizationForm extends TdApi.Function<TdApi.Ok>
Sends a Telegram Passport authorization form, effectively sharing data with the service. This method must be called after getPassportAuthorizationFormAvailableElements if some previously available elements are going to be reused.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`autorizationFormId`
Authorization form identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.PassportElementType[]`
`types`
Types of Telegram Passport elements chosen by user to complete the authorization form.

## Constructor Summary

Constructors
Constructor
Description
`SendPassportAuthorizationForm()`
Sends a Telegram Passport authorization form, effectively sharing data with the service.
`SendPassportAuthorizationForm(int autorizationFormId, TdApi.PassportElementType[] types)`
Sends a Telegram Passport authorization form, effectively sharing data with the service.
`SendPassportAuthorizationForm(DataInput input)`
Sends a Telegram Passport authorization form, effectively sharing data with the service.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### autorizationFormId

public int autorizationFormId
Authorization form identifier.

### types

public TdApi.PassportElementType[] types
Types of Telegram Passport elements chosen by user to complete the authorization form.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SendPassportAuthorizationForm

public SendPassportAuthorizationForm()
Sends a Telegram Passport authorization form, effectively sharing data with the service. This method must be called after getPassportAuthorizationFormAvailableElements if some previously available elements are going to be reused.

Returns `Ok`

### SendPassportAuthorizationForm

public SendPassportAuthorizationForm(int autorizationFormId, TdApi.PassportElementType[] types)
Sends a Telegram Passport authorization form, effectively sharing data with the service. This method must be called after getPassportAuthorizationFormAvailableElements if some previously available elements are going to be reused.

Returns `Ok`

Parameters:
  `autorizationFormId` - int Authorization form identifier.
  `types` - PassportElementType[] Types of Telegram Passport elements chosen by user to complete the authorization form.

### SendPassportAuthorizationForm

public SendPassportAuthorizationForm(DataInput input) throws IOException
Sends a Telegram Passport authorization form, effectively sharing data with the service. This method must be called after getPassportAuthorizationFormAvailableElements if some previously available elements are going to be reused.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`